Skip to main content

Nexus API

Refresh all members (alias for aggregate all member)

This is an alias for aggregate all members. This endpoint will kick off a new aggregation job for each member which belongs to the user. If you've set the use_cases field when creating the member, then the member's use_case must be set to PFM, otherwise a 403 will return. The response will include important information about the members' aggregations including the is_being_aggregated and connection_status fields. Aggregations can take some time to finish; you can use the the read member or list members endpoints to track the status and completion of each individual aggregation as it progresses.

GET
/members/refresh

Query Parameters

FieldRequiredType

include_holdings

When set to false, the aggregation will not gather holdings data, but will gather transaction and account data. Defaults to true.

Optional
Boolean

include_transactions

When set to false, the aggregation will not gather transaction data, but will include account and holdings data. Defaults to true.

Optional
Boolean
Loading...